﻿----------------------------------------------------------------
--	Library
----------------------------------------------------------------
local L = AceLibrary("AceLocale-2.2"):new("GridStatusRaidDebuff")

----------------------------------------------------------------
--	Module
----------------------------------------------------------------
GridStatusRaidDebuffCounter = GridStatus:NewModule("GridStatusRaidDebuffCounter")

local GridStatusRaidDebuffCounter = GridStatusRaidDebuffCounter
GridStatusRaidDebuffCounter.menuName = L["Raid Debuff Counter"]

GridStatusRaidDebuffCounter.options = false

GridStatusRaidDebuffCounter.defaultDB = {
	debug = false,			

	alert_RaidDebuff_Dose = {
		text = L["Raid Debuff Counter"],
		desc = L["Raid Debuff Counter"],
		enable = true,
		color = { r = 1.0, g = 0.0, b = 0.0, a = 1 },
		priority = 99,
		range = false,		
	}
}

function GridStatusRaidDebuffCounter:OnInitialize()
	self.super.OnInitialize(self)	
	self:RegisterStatuses()
end

function GridStatusRaidDebuffCounter:RegisterStatuses()
	self:RegisterStatus("alert_RaidDebuff_Dose",L["Raid Debuff Counter"],nil,false)
end